#include "stdlib.h"

static int rand_value = 1;

// _l擾
int rand(void)
{
	rand_value = rand_value * 1103515245 + 12345;
	return (unsigned int)(rand_value/65536) % 32768;
}

// _̊ݒ
void srand(unsigned int value)
{
	rand_value = value;
}




void dwtoa_bin(unsigned long value, char *out)
{
	int cbI = 32;
	out[cbI] = '\0';
	do {
		cbI--;
		out[cbI] = '0' + (value & 0x00000001);
		value >>= 1;
	} while (cbI);
}

void dwtoa(unsigned long value, char *out)
{
	char szTemp[64];
	int cbI = 0;
	do {
		szTemp[cbI] = '0' + value % 10;
		cbI++;
		value /=10;
	}while (value);
	while (cbI) {
		*out = szTemp[--cbI];
		out++;
	}
	*out = '\0';
}


void dwtoa_hex(unsigned long value, char *out)
{
	const char szHexTbl[16] = "0123456789abcdef";
	int cbI = 8;
	out[cbI] = '\0';
	do {
		cbI--;
		out[cbI] = szHexTbl[value & 0x0000000F];
		value >>= 4;
	} while (cbI);

}


void wtoa_bin(unsigned long value, char *out)
{
	int cbI = 16;
	out[cbI] = '\0';
	do {
		cbI--;
		out[cbI] = '0' + (value & 0x00000001);
		value >>= 1;
	} while (cbI);
}

void wtoa_hex(unsigned long value, char *out)
{
	const char szHexTbl[16] = "0123456789abcdef";
	int cbI = 4;
	out[cbI] = '\0';
	do {
		cbI--;
		out[cbI] = szHexTbl[value & 0x0000000F];
		value >>= 4;
	} while (cbI);

}
